# DataExchange
TKSTEPBase
StepRepr

# StepRepr_AssemblyComponentUsageSubstitute Class Reference

`#include <StepRepr_AssemblyComponentUsageSubstitute.hxx>`

## Public Member Functions

Standard_EXPORT | StepRepr_AssemblyComponentUsageSubstitute ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDef, const Handle(StepRepr_AssemblyComponentUsage)&aBase, const Handle(StepRepr_AssemblyComponentUsage)&aSubs)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Definition () const
Standard_EXPORT void | SetDefinition (const Handle(TCollection_HAsciiString)&aDef)
Standard_EXPORT Handle_StepRepr_AssemblyComponentUsage | Base () const
Standard_EXPORT void | SetBase (const Handle(StepRepr_AssemblyComponentUsage)&aBase)
Standard_EXPORT Handle_StepRepr_AssemblyComponentUsage | Substitute () const
Standard_EXPORT void | SetSubstitute (const Handle(StepRepr_AssemblyComponentUsage)&aSubstitute)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDef
Handle_StepRepr_AssemblyComponentUsage | theBase
Handle_StepRepr_AssemblyComponentUsage | theSubs

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_AssemblyComponentUsageSubstitute::StepRepr_AssemblyComponentUsageSubstitute | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepRepr_AssemblyComponentUsage StepRepr_AssemblyComponentUsageSubstitute::Base | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_AssemblyComponentUsageSubstitute::Definition | ( |  | ) | const

Standard_EXPORT const StepRepr_AssemblyComponentUsageSubstitute::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepRepr_AssemblyComponentUsageSubstitute::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDef,
|  | const Handle(StepRepr_AssemblyComponentUsage)& | aBase,
|  | const Handle(StepRepr_AssemblyComponentUsage)& | aSubs
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_AssemblyComponentUsageSubstitute::Name | ( |  | ) | const

Standard_EXPORT void StepRepr_AssemblyComponentUsageSubstitute::SetBase | ( | const Handle(StepRepr_AssemblyComponentUsage)& | aBase | ) |

Standard_EXPORT void StepRepr_AssemblyComponentUsageSubstitute::SetDefinition | ( | const Handle(TCollection_HAsciiString)& | aDef | ) |

Standard_EXPORT void StepRepr_AssemblyComponentUsageSubstitute::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void StepRepr_AssemblyComponentUsageSubstitute::SetSubstitute | ( | const Handle(StepRepr_AssemblyComponentUsage)& | aSubstitute | ) |

Standard_EXPORT Handle_StepRepr_AssemblyComponentUsage StepRepr_AssemblyComponentUsageSubstitute::Substitute | ( |  | ) | const

## Field Documentation

Handle_StepRepr_AssemblyComponentUsage StepRepr_AssemblyComponentUsageSubstitute::theBase `[private]`

Handle_TCollection_HAsciiString StepRepr_AssemblyComponentUsageSubstitute::theDef `[private]`

Handle_TCollection_HAsciiString StepRepr_AssemblyComponentUsageSubstitute::theName `[private]`

Handle_StepRepr_AssemblyComponentUsage StepRepr_AssemblyComponentUsageSubstitute::theSubs `[private]`

The documentation for this class was generated from the following file:

- StepRepr_AssemblyComponentUsageSubstitute.hxx